Skip to main content
This API performs online validation of the input and queues the price localization to be asynchronously processed.
curl -X POST 'https://product.api.e-cross.tech/ext/prices/destination/1234567891' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
    "salesChannel": "ECOM",
    "country": "BR",
    "listPrice": 30.00,
    "salePrice": 30.00
  }'
{
  "status": "LOCALIZATION IN PROGRESS",
  "publishedCount": 1,
  "publishedSkus": [
    "1234567891"
  ],
  "failedCount": 0,
  "failedSkus": [],
  "merchantId": "ACME"
}

Path Parameters

skuId
string
required
Identifier of the SKU (the SKU_ID used to create the SKU).

Request Parameters

salesChannel
string
required
Identifier of the destination sales channel. Refer to the Sales Channels page for the list of available sales channels.
country
string
required
Identifier of the destination sales channel’s country (e.g., BR for Brazil).
listPrice
number
Use this when you want to apply a price promotion. The value must be informed in the sales channel’s local currency and will be integrated with the sales channel as-is.Ex: in the product card, if you want it to display “R$ 250,00 200,00”, you must inform the listPrice as 250.00.
salePrice
number
required
The final retail price of the product in the sales channel. The value must be informed in the sales channel’s local currency and will be integrated with the sales channel as-is. The localization process will be executed to calculate the estimated payout value.

Response Fields

status
string
Status of the localization process. Can be LOCALIZATION IN PROGRESS (queued) or ERROR (error in request).
publishedCount
integer
The number of price localization requests that were queued.
publishedSkus
array
Array of SKU IDs that were queued to be localized.
failedCount
integer
The number of price localization requests that failed.
failedSkus
array
Array of SKU IDs that failed to be queued for localization.
merchantId
string
The merchant ID of this localization context.